# Check Update script for Roundcube Webmail

This script permit to check if an Roundcube Webmail is up to date.

It retreive current stable version on Roundcube Webmail Website and compare it to the local version. If the local version is different than the current stable version, it notify you by email.

The original script it design to be run by cron, but you could now use the script as Nagios check plugin (-n parameter).

## Upgrading your Roundcube Webmail installation

The script could also help you to upgrade your installation. By running the script with the -u parameter, it will automatically :
- download and uncompress for you the newest version from Roundcube Webmail Website in an upstream directory
- duplicate current installation data in a new directory
- upgrade this duplicated installation by using _installto.sh_ script provide by Roundcube Webmail project
- Optional : execute a custom bash function _after_upgrade()_ if defined. It could be useful if you have custom modification in your installation.
- If the current installation path is a symlink, it propose you to change the destionation of this symlink to the new installation path.

## Usage

```
Usage : ./check_rc_upgrade.sh [-v] [-n] [-d] [-u] [-c]
  -v   Verbose mode
  -n   Nagios mode
  -S   Don't check SSL certificate (Wget only)
  -d   Download new release
  -u   Upgrade installation
  -c   Use curl instead of wget
  -a   Just run after_upgrade function
  -j   Just display current stable version
  -h   Display this help
```
## Configuration

The configuration of this script is located on top of it. It recommand to copy the variables in a second file check_rc_upgrade.sh.local. This
file will be included if present.

__Parameters :__

- `RC_HOME` : The full path of your  Roundcube Webmail installation
- `MAIL` : The email address that will be notified on upgrade available (POSIX root user by default)
- `SEND_EVERY_NB_DAY` : The frequency of upgrade available notification (in days, 7 by default)
- `CACHE` : The path of a cache file use to keep the lastest upgrade notification. (By default : .cache_check_upgrade file in the parent directory of your Roundcube Webmail installation)
- `CACHE_FAILED` : The path of a cache file use to keep the number of check failed. (By default : $CACHE suffix with '.failed')
- `MAX_CHECK` : The maximum number of attempts to retreive current stable version on Roundcube Webmail Website. (10 by default)
- `MAX_FAILED` : The maximum number of check failed before notify by email (3 by default)
- `SLEEP_ON_FAILED` : The number of second to sleep between to attempts  to retreive current stable version on Roundcube Webmail Website. (10 by default)
- `CHECK_URL` : The URL use to retrieve the lastest Roundcube Webmail version. (By default : http://www.roundcube.net/download)
- `DOWNLOAD` : If this variable is set to 1, the newest version will be automatically download in the download directory. (Default : 0)
- `DOWNLOAD_DIR` : The path of the download directory. (Default : upstream directory in the parent directory of your Roundcube Webmail installation)
